Problems with the bundle on Mac OS X 10.6

Discussions on installation issues go here.

Moderator: Moderators

esche
Posts: 7
Joined: 27 Nov 2012, 20:30

Problems with the bundle on Mac OS X 10.6

Postby esche » 27 Nov 2012, 20:44

Hi everybody,

I downloaded the bundle for Mac OS X 10.6 and had it run on a MacBook Pro 6,2. I get the following error message:

Code: Select all

/Applications/polymake.app/Contents/MacOS/polymake.start ; exit; Can't load '/sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle' for module Encode: dlopen(/sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle, 1): no suitable image found. Did find: /sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle: mach-o, but wrong architecture at /System/Library/Perl/5.10.0/darwin-thread-multi-2level/XSLoader.pm line 67. at /sw/lib/perl5/5.10.0/darwin-thread-multi-2level/Encode.pm line 10 Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake/Core/XMLfile.pm line 945. BEGIN failed--compilation aborted at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake/Core/XMLfile.pm line 945. Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake.pm line 72. Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/bin/polymake line 156. BEGIN failed--compilation aborted at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/bin/polymake line 156. logout
Do you have some advice ? I would be very grateful. Thanks a lot.

esche

paffenholz
Developer
Posts: 182
Joined: 24 Dec 2010, 13:47

Re: Problems with the bundle on Mac OS X 10.6

Postby paffenholz » 28 Nov 2012, 10:02

I am a bit puzzled with this error. Mac OS should have its own version of the perl::Encode module, so it should not try to load the fink one.

Could you please check whether the file /System/Library/Perl/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle exists?

Does /sw/lib/ appear in your path variable ("echo $PATH" in a terminal)?
If it does, can you temporarily remove it and call polymake again, i.e. in a terminal do

Code: Select all

export PATH=<...> /Applications/polymake.app/Contents/MacOS/polymake.start
where <...> should be the output of echo $PATH without any path starting with /sw

esche
Posts: 7
Joined: 27 Nov 2012, 20:30

Re: Problems with the bundle on Mac OS X 10.6

Postby esche » 29 Nov 2012, 18:52

Thanks for your quick response.

The file /System/Library/Perl/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle exists.

I had /sw/lib/perl5/ExtUtils:/sw/bin:/sw/sbin: in my path variable. After removing them and calling polymake I get essentially the same message

Code: Select all

$ echo $PATH /usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/texbin:/usr/X11/bin:/usr/X11R6/bin $ /Applications/polymake.app/Contents/MacOS/polymake.start Can't load '/sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle' for module Encode: dlopen(/sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle, 1): no suitable image found. Did find: /sw/lib/perl5/5.10.0/darwin-thread-multi-2level/auto/Encode/Encode.bundle: mach-o, but wrong architecture at /System/Library/Perl/5.10.0/darwin-thread-multi-2level/XSLoader.pm line 67. at /sw/lib/perl5/5.10.0/darwin-thread-multi-2level/Encode.pm line 10 Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake/Core/XMLfile.pm line 945. BEGIN failed--compilation aborted at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake/Core/XMLfile.pm line 945. Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/share/polymake/perllib/Polymake.pm line 72. Compilation failed in require at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/bin/polymake line 156. BEGIN failed--compilation aborted at /Applications/polymake.app/Contents/MacOS/../Resources//polymake/bin/polymake line 156.
esche

paffenholz
Developer
Posts: 182
Joined: 24 Dec 2010, 13:47

Re: Problems with the bundle on Mac OS X 10.6

Postby paffenholz » 30 Nov 2012, 17:49

I am sorry, modifying the PATH variable was not a very useful recommandation. The problem is the list of locations perl checks for its modules. Please check the variable $PERL5LIB and remove any path starting with /sw (in the same way as you modified $PATH). Most likely you can just make it empty with

Code: Select all

export PERL5LIB=""
Then start polymake in that terminal.

The problem is that your fink installation is compiled for 32bit architecture, while polymake is compile dfor 64bit. The fink start script (initiated by in your .profile or .bashrc file) places its paths in front of any others (which is what one usually wants), so that polymake picks up the wrong version of the Encode module.

If the variable PERL5LIB really only contains the two paths starting with /sw, then you could do the following to fix your version of polymake: Open the file /Applications/polymake.app/Contents/MacOS/polymake.start. with a plain text editor (e.g. TextEdit or emacs). It contains a line starting with export PERL5LIB. Remove the ":$PERL5LIB" at the end and save (if you are not allowed to edit the file, then make it writable with "chmod u+w /Applications/polymake.app/Contents/MacOS/polymake.start" in a terminal.

esche
Posts: 7
Joined: 27 Nov 2012, 20:30

Re: Problems with the bundle on Mac OS X 10.6

Postby esche » 30 Nov 2012, 23:43

Thanks a lot. This worked. I completely forgot that I had the 32 bit version of fink installed. I will install the 64 bit version in the near future.

Again, thanks a lot for your quick help.

esche


Return to “Installing polymake”

cron